		org	$BF00
		
ScrBuffer_Pos:	equ	$C
Screen_Buffer	equ	$180
		

Draw_R_Count:
		TAY
		LDX	ScrBuffer_Pos
		
		LDA	#$20		; vram h - position on screen
		STA	Screen_Buffer+0,X
		LDA	#$7C		; vram l - position on screen
		STA	Screen_Buffer+1,X
		
		TYA
		LDY	#0	; 10's
		STY	0	; 100's
		
subtract100:		
		CMP	#100
		BCC	lower_than100
		SBC	#100
		INC	0	; 100's
		BNE	subtract100
lower_than100:

subtract10:
		CMP	#10
		BCC	lower_than10
		SBC	#10
		INY		; 10's
		BNE	subtract10
		
lower_than10:		
		PHA		; 1's
		
		LDA	0		; if 100's = 0
		BNE	not_zero_100
		LDA	#$11		; draw empty tile instead of '0XX'
		BNE	draw_empty_100
not_zero_100:		
		ADC	#$6E		; numbers base tile
draw_empty_100:		
		STA	Screen_Buffer+2,X	; 100's

		LDA	0		; if 100's = 0
		BNE	not_zero_10
		TYA			; and 10's  = 0
		BNE	not_zero_10
		LDA	#$11		; draw 2nd empty tile instead of '00X'
		BNE	draw_empty_10
		
not_zero_10:		
		TYA	
		ADC	#$6E
draw_empty_10:		
		STA	Screen_Buffer+3,X	; 10's
		PLA
		ADC	#$6E
		STA	Screen_Buffer+4,X 	; 1's
		
		LDA	#$FF			; endflag
		STA	Screen_Buffer+5,X		
		
		TXA
		CLC
		ADC	#6
		STA	ScrBuffer_Pos
		RTS

 D362  6A 6A  11 11
 DB68  20 B1 C8  20 20 BF,   BF00    ( DB68  20 14 C9  20 A0 BF,   BFA0   )
A8A60CA9209D8001A97C9D810198A0008400C9649006E964E600D0F6C90A9005E90AC8D0F748A500D004A911D002696E9D8201A500D00798D004A911D00398696E9D830168696E9D8401A9FF9D85018A186906850C60
